petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDAGetReducedDMDA

Gets the DMDA with the same layout but with fewer or more fields

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetReducedDMDA(DM da,PetscInt nfields,DM *nda)

Collective on DMDA

### Input Parameters

| da | - the distributed array
| nfields | - number of fields in new DMDA

### Output Parameter

nda -the new DMDA

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMDAGetGhostCorners(), DMSetCoordinates(), DMDASetUniformCoordinates(), DMGetCoordinates(), DMDAGetGhostedCoordinates()

Level:intermediate
Location:src/dm/impls/da/dacorn.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex43.c.html